Bug 1259326 - [RFE] Enable WORM (Write Once Read Many) support in RHCS
[RFE] Enable WORM (Write Once Read Many) support in RHCS
Status: NEW
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS (Show other bugs)
1.3.0
All Linux
medium Severity medium
: rc
: 3.1
Assigned To: Josh Durgin
ceph-qe-bugs
: FutureFeature, Triaged
Depends On: 1523244
Blocks: 1258382
  Show dependency treegraph
 
Reported: 2015-09-02 08:08 EDT by Vimal Kumar
Modified: 2017-12-20 12:56 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 9792 None None None 2016-09-16 03:05 EDT

  None (edit)
Comment 3 Edu Alcaniz 2016-09-16 02:45:09 EDT
Hi, could you update the status of the BZ please
Comment 4 Ian Colle 2016-09-16 03:05:58 EDT
Sam,

It looks like this was started upstream with https://github.com/ceph/ceph/pull/3409/files. What additional work do we need here?
Comment 6 Edu Alcaniz 2016-10-25 02:10:05 EDT
morning, could we have an update about this RFE?
Comment 7 Samuel Just 2016-10-26 12:39:58 EDT
I'm not sure that that PR addresses this bz at all.  All that PR does is make it harder to accidentally delete or mess with a whole pool.  It sounds like this user wants per-rgw-object (for example) control over deletion and modification, and for that to propagate down to the rados level.  We'd need better definition on exactly what operations the user wants to disallow.  Presumably the user would want to map some rgw level authenticated users as capable of tagging and untagging the objects.  Those users would probably need to map onto rados level users and be enforced there.  It would be pretty weird to try to enforce this at the rados level since rgw object modification doesn't look like a rados level object modification at all -- it's a bucket update, an object creation, and an object removal.  By the time the "object removal" happens at the rados level, the rgw level object has already been logically updated at the rgw level, so disallowing that wouldn't even really do the trick.

Note You need to log in before you can comment on or make changes to this bug.